=== added directory 'mgmtsystem_hazard'
=== added file 'mgmtsystem_hazard/__init__.py'
--- mgmtsystem_hazard/__init__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard/__init__.py	2011-07-21 22:12:14 +0000
@@ -0,0 +1,22 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+import mgmtsystem_hazard
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'mgmtsystem_hazard/__openerp__.py'
--- mgmtsystem_hazard/__openerp__.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard/__openerp__.py	2011-07-21 22:12:14 +0000
@@ -0,0 +1,46 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+{
+    "name" : "Management System - Hazard",
+    "version" : "0.1",
+    "author" : "Savoir-faire Linux",
+    "website" : "http://www.savoirfairelinux.com",
+    "license" : "GPL-3",
+    "category" : "Management System",
+    "description": """
+	This module enables you to manage the hazards and risks of your health and 
+        safety management system.	
+    """,
+    "depends" : [
+        'mgmtsystem',
+        'hr',
+    ],
+    "init_xml" : [],
+    "update_xml" : [
+        'security/ir.model.access.csv',
+	'mgmtsystem_hazard.xml',
+    ],
+    "demo_xml" : [],
+    "installable" : True,
+    "certificate" : ''
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
+

=== added file 'mgmtsystem_hazard/mgmtsystem_hazard.py'
--- mgmtsystem_hazard/mgmtsystem_hazard.py	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard/mgmtsystem_hazard.py	2011-07-21 22:12:14 +0000
@@ -0,0 +1,186 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#    
+#    OpenERP, Open Source Management Solution
+#    Copyright (C) 2010 Savoir-faire Linux (<http://www.savoirfairelinux.com>).
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
+#
+##############################################################################
+
+from osv import fields, osv
+import time
+
+class mgmtsystem_hazard_type(osv.osv):
+
+    _name = "mgmtsystem.hazard.type"
+    _description = "Type of hazard"
+    _columns = {
+        'name': fields.char('Type', size=50, required=True),
+        'description': fields.text('Description'),
+    }
+
+mgmtsystem_hazard_type()
+
+class mgmtsystem_hazard_risk_type(osv.osv):
+
+    _name = "mgmtsystem.hazard.risk.type"
+    _description = "Risk type of the hazard"
+    _columns = {
+        'name': fields.char('Risk Type', size=50, required=True),
+        'description': fields.text('Description'),
+    }
+
+mgmtsystem_hazard_risk_type()
+
+class mgmtsystem_hazard_origin(osv.osv):
+
+    _name = "mgmtsystem.hazard.origin"
+    _description = "Origin of hazard"
+    _columns = {
+        'name': fields.char('Origin', size=50, required=True),
+        'description': fields.text('Description')
+    }
+
+mgmtsystem_hazard_origin()
+
+class mgmtsystem_hazard_hazard(osv.osv):
+
+    _name = "mgmtsystem.hazard.hazard"
+    _description = "Hazard"
+    _columns = {
+        'name': fields.char('Hazard', size=50, required=True),
+        'description': fields.text('Description'),
+        'risk_type_id': fields.many2one('mgmtsystem.hazard.risk.type','Risk Type'),
+        'hazard_origin_id': fields.many2one('mgmtsystem.hazard.origin','Origin / Source'),
+	'hazard_id': fields.many2one('mgmtsystem.hazard', 'Hazard', ondelete='cascade', select=True),
+    }
+
+mgmtsystem_hazard_hazard()
+
+class mgmtsystem_hazard_probability(osv.osv):
+
+    _name = "mgmtsystem.hazard.probability"
+    _description = "Probability of hazard"
+    _columns = {
+        'name': fields.char('Probability', size=50, required=True),
+        'value': fields.integer('Value', required=True),
+        'description': fields.text('Description')
+    }
+
+mgmtsystem_hazard_probability()
+
+class mgmtsystem_hazard_severity(osv.osv):
+
+    _name = "mgmtsystem.hazard.severity"
+    _description = "Severity of hazard"
+    _columns = {
+        'name': fields.char('Severity', size=50, required=True),
+        'value': fields.integer('Value', required=True),
+        'description': fields.text('Description')
+    }
+
+mgmtsystem_hazard_severity()
+
+class mgmtsystem_hazard_usage(osv.osv):
+
+    _name = "mgmtsystem.hazard.usage"
+    _description = "Usage of hazard"
+    _columns = {
+        'name': fields.char('Occupation / Usage', size=50, required=True),
+        'value': fields.integer('Value', required=True),
+        'description': fields.text('Description')
+    }
+
+mgmtsystem_hazard_usage()
+
+class mgmtsystem_hazard_control_measure(osv.osv):
+
+    _name = "mgmtsystem.hazard.control_measure"
+    _description = "Control Measure of hazard"
+    _columns = {
+        'name': fields.char('Control Measure', size=50, required=True),
+        'responsible_user_id': fields.many2one('res.users','Responsible', required=True),
+        'comments': fields.text('Comments'),
+	'hazard_id': fields.many2one('mgmtsystem.hazard', 'Hazard', ondelete='cascade', select=True),
+    }
+
+mgmtsystem_hazard_control_measure()
+
+class mgmtsystem_hazard_test(osv.osv):
+
+    _name = "mgmtsystem.hazard.test"
+    _description = "Implementation Tests of hazard"
+    _columns = {
+        'name': fields.char('Test', size=50, required=True),
+        'responsible_user_id': fields.many2one('res.users','Responsible', required=True),
+        'review_date': fields.date('Review Date', required=True),
+        'executed': fields.boolean('Executed'),
+	'hazard_id': fields.many2one('mgmtsystem.hazard', 'Hazard', ondelete='cascade', select=True),
+    }
+
+mgmtsystem_hazard_test()
+
+class mgmtsystem_hazard_residual_risk(osv.osv):
+
+    _name = "mgmtsystem.hazard.residual_risk"
+    _description = "Residual Risks of hazard"
+    _columns = {
+        'name': fields.char('Name', size=50, required=True),
+        'probability_id': fields.many2one('mgmtsystem.hazard.probability','Probability', required=True),
+        'severity_id': fields.many2one('mgmtsystem.hazard.severity','Severity', required=True),
+        'usage_id': fields.many2one('mgmtsystem.hazard.usage','Occupation / Usage'),
+        'acceptability': fields.boolean('Acceptability'),
+        'justification': fields.text('Justification'),
+	'hazard_id': fields.many2one('mgmtsystem.hazard', 'Hazard', ondelete='cascade', select=True),
+    }
+
+mgmtsystem_hazard_test()
+
+class mgmtsystem_hazard(osv.osv):
+
+    _name = "mgmtsystem.hazard"
+    _description = "Hazards of the health and safety management system"
+
+    def _compute_risk(self, cr, uid, ids, field_name, arg, context=None):
+        result = {}
+        for obj in self.browse(cr, uid, ids):
+            if obj.probability_id and obj.severity_id and obj.usage_id:
+                result[obj.id] = obj.probability_id.value * obj.severity_id.value * obj.usage_id.value
+            else:
+                result[obj.id] = False
+
+        return result
+
+    _columns = {
+        'name': fields.char('Name', size=50, required=True),
+	'type_id': fields.many2one('mgmtsystem.hazard.type', 'Type', required=True),	
+	'department_id': fields.many2one('hr.department', 'Department', required=True),	
+        'responsible_user_id': fields.many2one('res.users','Responsible', required=True),
+        'analysis_date': fields.date('Date', required=True),
+        'hazard_ids': fields.one2many('mgmtsystem.hazard.hazard','hazard_id','Hazard'),
+        'probability_id': fields.many2one('mgmtsystem.hazard.probability','Probability'),
+        'severity_id': fields.many2one('mgmtsystem.hazard.severity','Severity'),
+        'usage_id': fields.many2one('mgmtsystem.hazard.usage','Occupation / Usage'),
+	'risk': fields.function(_compute_risk,string='Risk',type='integer'),
+        'acceptability': fields.boolean('Acceptability'),
+        'justification': fields.text('Justification'),
+	'control_measure_ids': fields.one2many('mgmtsystem.hazard.control_measure','hazard_id','Control Measures'),
+	'test_ids': fields.one2many('mgmtsystem.hazard.test','hazard_id','Implementation Tests'),
+	'residual_risk_ids': fields.one2many('mgmtsystem.hazard.residual_risk','hazard_id','Residual Risk Evaluations'),
+    }
+
+mgmtsystem_hazard()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'mgmtsystem_hazard/mgmtsystem_hazard.xml'
--- mgmtsystem_hazard/mgmtsystem_hazard.xml	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard/mgmtsystem_hazard.xml	2011-07-21 22:12:14 +0000
@@ -0,0 +1,685 @@
+<openerp>
+    <data>
+
+        <menuitem id="menu_mgmtsystem_configuration_hazards" 
+            name="Hazards"
+            parent="mgmtsystem.menu_mgmtsystem_configuration"
+            groups="base.group_mgmtsystem_manager" 
+            sequence="10"/>
+
+        <record id="view_mgmtsystem_hazard_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.tree</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Hazard">
+                    <field name="type_id"/>
+                    <field name="name"/>
+                    <field name="hazard_ids"/>
+                    <field name="risk"/>
+                    <field name="acceptability"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_filter" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.filter</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Hazard">
+                    <group>
+                        <field name="type_id"/>
+                        <field name="name"/>
+                        <field name="hazard_ids"/>
+                        <field name="risk"/>
+                        <field name="acceptability"/>
+                    </group>
+                    <newline />
+                    <group expand="0" string="Group By...">
+                        <filter string="Accepted" context="{'group_by':'acceptability'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="Type" context="{'group_by':'type_id'}"/>
+                        <separator orientation="vertical"/>
+                        <filter string="Hazard" context="{'group_by':'hazard_ids'}"/>
+                    </group>
+                </search>
+            </field>
+        </record>        
+
+        <record id="view_mgmtsystem_hazard_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard</field>
+            <field name="arch" type="xml">
+                <form string="Hazard">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="type_id"/>
+                    </group>
+                    <notebook colspan="4">
+                        <page string="Analysis">
+                            <field name="department_id"/>
+                            <field name="responsible_user_id"/>
+                            <field name="analysis_date"/>
+                        </page>
+                        <page string="Hazard Identification">
+                            <field name="hazard_ids" nolabel="1"/>
+                        </page>
+                        <page string="Risk Evaluation">
+                            <field name="probability_id"/>
+                            <field name="severity_id"/>
+                            <newline />
+                            <field name="usage_id"/>
+                            <field name="risk"/>
+                            <newline/>
+                            <field name="acceptability"/>
+                            <newline/>
+                            <field name="justification"/>
+                        </page>
+                        <page string="Control Measures">
+                            <field name="control_measure_ids" nolabel="1"/>
+                        </page>
+                        <page string="Implementation Tests">
+                            <field name="test_ids" nolabel="1"/>
+                        </page>
+                        <page string="Residual Risk Evaluations">
+                            <field name="residual_risk_ids" nolabel="1"/>
+                        </page>
+                    </notebook>
+                </form>
+            </field>
+        </record>
+
+        <record model="ir.actions.act_window" id="open_mgmtsystem_hazard_list">
+            <field name="name">Hazards</field>
+            <field name="res_model">mgmtsystem.hazard</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" ref="view_mgmtsystem_hazard_tree"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard" 
+            action="open_mgmtsystem_hazard_list" 
+            parent="mgmtsystem.menu_mgmtsystem_main" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager,base.group_mgmtsystem_auditor,base.group_user"/>
+
+        <!-- Origin -->
+        
+        <record id="view_mgmtsystem_hazard_origin_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.origin.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="arch" type="xml">
+                <form string="Origin">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_origin_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.origin.tree</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Origins">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_origin_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.origin</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Origins">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_origin_list" model="ir.actions.act_window">
+            <field name="name">Origins</field>
+            <field name="res_model">mgmtsystem.hazard.origin</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_origin_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_origin" 
+            action="open_mgmtsystem_hazard_origin_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Type -->
+        
+        <record id="view_mgmtsystem_hazard_type_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.type.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="arch" type="xml">
+                <form string="Type">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_type_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.type.tree</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_type_filter" model="ir.ui.view">
+            <field name="name">Types</field>
+            <field name="model">mgmtsystem.hazard.type</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_type_list" model="ir.actions.act_window">
+            <field name="name">Types</field>
+            <field name="res_model">mgmtsystem.hazard.type</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_type" 
+            action="open_mgmtsystem_hazard_type_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Risk Type -->
+        
+        <record id="view_mgmtsystem_hazard_risk_type_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_type.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="arch" type="xml">
+                <form string="Risk Type">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_type_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.risk_type.tree</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Risk Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_risk_type_filter" model="ir.ui.view">
+            <field name="name">Risk Types</field>
+            <field name="model">mgmtsystem.hazard.risk.type</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Risk Types">
+                    <field name="name"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_risk_type_list" model="ir.actions.act_window">
+            <field name="name">Risk Types</field>
+            <field name="res_model">mgmtsystem.hazard.risk.type</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_risk_type_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_risk_type" 
+            action="open_mgmtsystem_hazard_risk_type_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Hazard -->
+        
+        <record id="view_mgmtsystem_hazard_hazard_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.hazard.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="arch" type="xml">
+                <form string="Hazard">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="risk_type_id"/>
+                        <field name="hazard_origin_id"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_hazard_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.hazard.tree</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Hazards">
+                    <field name="name"/>
+                    <field name="risk_type_id"/>
+                    <field name="hazard_origin_id"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_hazard_filter" model="ir.ui.view">
+            <field name="name">Hazards</field>
+            <field name="model">mgmtsystem.hazard.hazard</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Hazards">
+                    <field name="name"/>
+                    <field name="risk_type_id"/>
+                    <field name="hazard_origin_id"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_hazard_list" model="ir.actions.act_window">
+            <field name="name">Origins</field>
+            <field name="res_model">mgmtsystem.hazard.hazard</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_hazard_filter"/>
+        </record>
+
+        <!-- Hazard Probability -->
+        
+        <record id="view_mgmtsystem_hazard_probability_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.probability.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="arch" type="xml">
+                <form string="Probability">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_probability_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.probability.tree</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Probabilities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_probability_filter" model="ir.ui.view">
+            <field name="name">Probabilities</field>
+            <field name="model">mgmtsystem.hazard.probability</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Probabilities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_probability_list" model="ir.actions.act_window">
+            <field name="name">Probabilities</field>
+            <field name="res_model">mgmtsystem.hazard.probability</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_probability" 
+            action="open_mgmtsystem_hazard_probability_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Severity -->
+        
+        <record id="view_mgmtsystem_hazard_severity_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.severity.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="arch" type="xml">
+                <form string="Severity">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_severity_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.severity.tree</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Severities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_severity_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.severity</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Severities">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_severity_list" model="ir.actions.act_window">
+            <field name="name">Severities</field>
+            <field name="res_model">mgmtsystem.hazard.severity</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_severity" 
+            action="open_mgmtsystem_hazard_severity_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Hazard Usage -->
+        
+        <record id="view_mgmtsystem_hazard_usage_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.usage.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="arch" type="xml">
+                <form string="Occupation / Usage">
+                    <group colspan="4" col="6">
+                        <field name="name"/>
+                        <field name="value"/>
+                        <newline/>
+                        <field name="description"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_usage_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.usage.tree</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Occupations / Usages">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_usage_filter" model="ir.ui.view">
+            <field name="name">Origins</field>
+            <field name="model">mgmtsystem.hazard.usage</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Occupations / Usages">
+                    <field name="name"/>
+                    <field name="value"/>
+                    <field name="description"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_usage_list" model="ir.actions.act_window">
+            <field name="name">Occupations / Usages</field>
+            <field name="res_model">mgmtsystem.hazard.usage</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_type_filter"/>
+        </record>
+
+        <menuitem id="menu_open_hazard_usage" 
+            action="open_mgmtsystem_hazard_usage_list" 
+            parent="menu_mgmtsystem_configuration_hazards" 
+            sequence="20" 
+            groups="base.group_mgmtsystem_manager"/>
+
+        <!-- Control Measures  -->
+        
+        <record id="view_mgmtsystem_hazard_control_measure_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.control_measure.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="arch" type="xml">
+                <form string="Control Measure">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="responsible_user_id"/>
+                        <newline/>
+                        <field name="comments"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_control_measure_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.control_measure.tree</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Control Measures">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="comments"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_control_measure_filter" model="ir.ui.view">
+            <field name="name">Control Measures</field>
+            <field name="model">mgmtsystem.hazard.control_measure</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Control Measures">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="comments"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_control_measure_list" model="ir.actions.act_window">
+            <field name="name">Control Measures</field>
+            <field name="res_model">mgmtsystem.hazard.control_measure</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_control_measure_filter"/>
+        </record>
+
+        <!-- Implementation Tests  -->
+        
+        <record id="view_mgmtsystem_hazard_test_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.test.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="arch" type="xml">
+                <form string="Implementation Test">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <field name="responsible_user_id"/>
+                        <newline/>
+                        <field name="review_date"/>
+                        <field name="executed"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_test_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.test.tree</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Implementation Tests">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="review_date"/>
+                    <field name="executed"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_test_filter" model="ir.ui.view">
+            <field name="name">Implementation Tests</field>
+            <field name="model">mgmtsystem.hazard.test</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Implementation Tests">
+                    <field name="name"/>
+                    <field name="responsible_user_id"/>
+                    <field name="review_date"/>
+                    <field name="executed"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_test_list" model="ir.actions.act_window">
+            <field name="name">Implementation Tests</field>
+            <field name="res_model">mgmtsystem.hazard.test</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_test_filter"/>
+        </record>
+
+        <!-- Residual Risks  -->
+        
+        <record id="view_mgmtsystem_hazard_residual_risk_form" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.residual_risk.form</field>
+            <field name="type">form</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="arch" type="xml">
+                <form string="Residual Risk">
+                    <group colspan="4" col="4">
+                        <field name="name"/>
+                        <newline/>
+                        <field name="probability_id"/>
+                        <field name="severity_id"/>
+                        <newline/>
+                        <field name="usage_id"/>
+                        <field name="acceptability"/>
+                        <newline/>
+                        <field name="justification"/>
+                    </group>
+                </form>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_residual_risk_tree" model="ir.ui.view">
+            <field name="name">mgmtsystem.hazard.residual_risk.tree</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+                <tree string="Residual Risks">
+                    <field name="name"/>
+                    <field name="probability_id"/>
+                    <field name="severity_id"/>
+                    <field name="usage_id"/>
+                    <field name="acceptability"/>
+                    <field name="justification"/>
+                </tree>
+            </field>
+        </record>
+
+        <record id="view_mgmtsystem_hazard_residual_risk_filter" model="ir.ui.view">
+            <field name="name">Residual Risks</field>
+            <field name="model">mgmtsystem.hazard.residual_risk</field>
+            <field name="type">search</field>
+            <field name="arch" type="xml">
+                <search string="Residual Risks">
+                    <field name="name"/>
+                    <field name="probability_id"/>
+                    <field name="severity_id"/>
+                    <field name="usage_id"/>
+                    <field name="acceptability"/>
+                    <field name="justification"/>
+                </search>
+             </field>
+         </record>
+
+        <record id="open_mgmtsystem_hazard_residual_risk_list" model="ir.actions.act_window">
+            <field name="name">Residual Risks</field>
+            <field name="res_model">mgmtsystem.hazard.residual_risk</field>
+            <field name="view_type">form</field>
+            <field name="view_mode">tree,form</field>
+            <field name="view_id" eval="False"/>
+            <field name="search_view_id" ref="view_mgmtsystem_hazard_residual_risk_filter"/>
+        </record>
+
+    </data>
+</openerp>

=== added directory 'mgmtsystem_hazard/security'
=== added file 'mgmtsystem_hazard/security/ir.model.access.csv'
--- mgmtsystem_hazard/security/ir.model.access.csv	1970-01-01 00:00:00 +0000
+++ mgmtsystem_hazard/security/ir.model.access.csv	2011-07-21 22:12:14 +0000
@@ -0,0 +1,4 @@
+"id","name","model_id:id","group_id:id","perm_read","perm_write","perm_create","perm_unlink"
+"access_mgmtsystem_hazard","mgmtsystem.hazard.user","model_mgmtsystem_hazard","base.group_user",1,1,1,0
+"access_mgmtsystem_hazard_origin_user","mgmtsystem.hazard.origin.user","model_mgmtsystem_hazard_origin","base.group_user",1,0,0,0
+"access_mgmtsystem_hazard_origin_manager","mgmtsystem.hazard.origin.manager","model_mgmtsystem_hazard_origin","base.group_mgmtsystem_manager",1,1,1,1

